openSUSE2021:0430-1: moderate: Security update for openssl-1_0_0

openSUSE Security Update: Security update for openssl-1_0_0 ______________________________________________________________________________
Announcement ID: openSUSE-SU-2021:0430-1 Rating: moderate References: #1182331 #1182333 Cross-References: CVE-2021-23840 CVE-2021-23841 CVSS scores: CVE-2021-23840 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVE-2021-23840 (SUSE): 6.5 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:H CVE-2021-23841 (NVD) : 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H CVE-2021-23841 (SUSE): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
Affected Products: openSUSE Leap 15.2 ______________________________________________________________________________
An update that fixes two vulnerabilities is now available.
Description:
This update for openssl-1_0_0 fixes the following issues:
– CVE-2021-23840: Fixed an Integer overflow in CipherUpdate (bsc#1182333) – CVE-2021-23841: Fixed a Null pointer dereference in X509_issuer_and_serial_hash() (bsc#1182331)
This update was imported from the SUSE:SLE-15:Update update project.
Patch Instructions:
To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”.
Alternatively you can run the command listed for your product:
– openSUSE Leap 15.2:
zypper in -t patch openSUSE-2021-430=1

Package List:
– openSUSE Leap 15.2 (i586 x86_64):
libopenssl-1_0_0-devel-1.0.2p-lp152.8.12.1 libopenssl10-1.0.2p-lp152.8.12.1 libopenssl10-debuginfo-1.0.2p-lp152.8.12.1 libopenssl1_0_0-1.0.2p-lp152.8.12.1 libopenssl1_0_0-debuginfo-1.0.2p-lp152.8.12.1 libopenssl1_0_0-hmac-1.0.2p-lp152.8.12.1 libopenssl1_0_0-steam-1.0.2p-lp152.8.12.1 libopenssl1_0_0-steam-debuginfo-1.0.2p-lp152.8.12.1 openssl-1_0_0-1.0.2p-lp152.8.12.1 openssl-1_0_0-cavs-1.0.2p-lp152.8.12.1 openssl-1_0_0-cavs-debuginfo-1.0.2p-lp152.8.12.1 openssl-1_0_0-debuginfo-1.0.2p-lp152.8.12.1 openssl-1_0_0-debugsource-1.0.2p-lp152.8.12.1
– openSUSE Leap 15.2 (x86_64):
libopenssl-1_0_0-devel-32bit-1.0.2p-lp152.8.12.1 libopenssl1_0_0-32bit-1.0.2p-lp152.8.12.1 libopenssl1_0_0-32bit-debuginfo-1.0.2p-lp152.8.12.1 libopenssl1_0_0-hmac-32bit-1.0.2p-lp152.8.12.1 libopenssl1_0_0-steam-32bit-1.0.2p-lp152.8.12.1 libopenssl1_0_0-steam-32bit-debuginfo-1.0.2p-lp152.8.12.1
– openSUSE Leap 15.2 (noarch):
openssl-1_0_0-doc-1.0.2p-lp152.8.12.1
References:
www.suse.com/security/cve/CVE-2021-23840.html www.suse.com/security/cve/CVE-2021-23841.html bugzilla.suse.com/1182331 bugzilla.suse.com/1182333